const getCmd = require('./get.cmd').toCommand();

jest.mock('../../../../../logic/entities/TriggerType');

const request = require('requestretry');

const DEFAULT_RESPONSE = request.__defaultResponse();

describe('trigger type commands', () => {
    beforeEach(async () => {
        request.__reset();
        request.mockClear();
        await configureSdk(); // eslint-disable-line
    });

    describe('get', () => {
        it('should handle getting by type and kind', async () => {
            const argv = { type: 'type', kind: 'kind' };
            const response = { statusCode: 200, body: [DEFAULT_RESPONSE.body] };
            request.__setResponse(response);
            await getCmd.handler(argv);
            await verifyResponsesReturned([response]); // eslint-disable-line
        });

        it('should handle getting all', async () => {
            const argv = {};
            const response = { statusCode: 200, body: [DEFAULT_RESPONSE.body] };
            request.__setResponse(response);
            await getCmd.handler(argv);
            await verifyResponsesReturned([response]); // eslint-disable-line
        });
    });
});
